# err.h File Reference

`#include <ubixos/types.h>`
`#include "net/debug.h"`
`#include "net/arch/cc.h"`

Go to the source code of this file.

## Defines

#define | ERR_OK 0
#define | ERR_MEM -1
#define | ERR_BUF -2
#define | ERR_ABRT -3
#define | ERR_RST -4
#define | ERR_CLSD -5
#define | ERR_CONN -6
#define | ERR_VAL -7
#define | ERR_ARG -8
#define | ERR_RTE -9
#define | ERR_USE -10
#define | lwip_strerr(x) ""

## Typedefs

typedef Int8 | err_t

## Define Documentation

#define ERR_ABRT -3

#define ERR_ARG -8

#define ERR_BUF -2

#define ERR_CLSD -5

#define ERR_CONN -6

#define ERR_MEM -1

#define ERR_OK 0

#define ERR_RST -4

#define ERR_RTE -9

#define ERR_USE -10

#define ERR_VAL -7

#define lwip_strerr | ( | x |  | ) | ""

## Typedef Documentation

typedef Int8 err_t